Bug 10399 - Слинкован со всевозможными Иксовыми библиотеками
: Слинкован со всевозможными Иксовыми библиотеками
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgd2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-11 20:52 by
Modified: 2008-05-29 17:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-11 20:52:41
libgd2 слинкован с Иксовыми библиотеками, из-за чего тащит за собой на сервер 
кучу лишних зависимостей.
Вроде была какая-то причина это слинкованности, но какая именно?
------- Comment #1 From 2007-02-24 00:19:20 -------
$ ldd -u /usr/lib/libgd.so.2
Unused direct dependencies:
        
        /usr/lib/libX11.so.6

Очевидно, пакет был собран ещё до введения --as-needed.
------- Comment #2 From 2007-03-26 19:54:49 -------
Fixed in libgd2-2.0.34-alt1.